Bug 200170 - keyboard doesn't work on graphical installs
keyboard doesn't work on graphical installs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhpxl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-25 17:16 EDT by Don Zickus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 13:21:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Zickus 2006-07-25 17:16:10 EDT
Description of problem:
when installing on ia64 and x86_64, the keyboard doesn't work on graphical
installs (well only the enter and space keys work).  

Version-Release number of selected component (if applicable):
rawhide-20060725 ia64 and x86_64

How reproducible:
everytime

Steps to Reproduce:
1. graphical install through nfs
2. hit enter to get most of the way through
3. <tab> key doesn't work or if using a mouse 'entering password' doesn't work
  
Actual results:
keyboard becomes useless

Expected results:
keyboard should be useful

Additional info:
keyboard is usb
'linux text' works fine.  
keyboard works find until anaconda starts.
Comment 1 Chris Lumens 2006-07-28 13:21:03 EDT
rhpxl accidentally dropped its call to the passed in xStartedCB, so anaconda's
special window manager was not getting run.  This is known to cause
keyboard-related problems.  Will be fixed in the next build.

Note You need to log in before you can comment on or make changes to this bug.